#!/usr/bin/perl

# $Id: disc_query.pl,v 1.1 1999/01/09 05:16:05 jzawodn Exp jzawodn $

use Net::CDDB;

$Net::CDDB::debug = 1;

my $disc_data = `discid`;
chomp($disc_data);

my($cat,$disc_id,$artist,$title) = cddb_query($disc_data);

print "Category: $cat\n";
print "DiscID  : $disc_id\n";
print "Artist  : $artist\n";
print "Title   : $title\n";

if ($cat eq "inexact") {
    my %discs = cddb_inexact($disc_data);

    foreach my $id (keys %discs) {
        print "$id $discs{$id}\n";
    }
    print "Enter discid from list above: ";
    $id = <>;
    chomp($id);
    $disc_id = $id;
    my $tmp = $discs{$disc_id};
    $tmp =~ /^\[(\S+?)\]/o;
    $cat = $1;
}

my($title,@tracks) = cddb_read("$cat $disc_id");
my $num_tracks = $#tracks + 1;

print "Album: $title\n";
print "$num_tracks tracks\n";
foreach (@tracks) {
    $num++;
    print "$num. $_\n";
}

exit;
